import request from '@/utils/request'

// 查询用户题库专业列表
export function listMemberMajor(query) {
  return request({
    url: '/hezhi/memberMajor/list',
    method: 'get',
    params: query
  })
}

// 查询用户题库专业详细
export function getMemberMajor(memberMajorId) {
  return request({
    url: '/hezhi/memberMajor/' + memberMajorId,
    method: 'get'
  })
}

// 新增用户题库专业
export function addMemberMajor(data) {
  return request({
    url: '/hezhi/memberMajor',
    method: 'post',
    data: data
  })
}

// 修改用户题库专业
export function updateMemberMajor(data) {
  return request({
    url: '/hezhi/memberMajor',
    method: 'put',
    data: data
  })
}

// 删除用户题库专业
export function delMemberMajor(memberMajorId) {
  return request({
    url: '/hezhi/memberMajor/' + memberMajorId,
    method: 'delete'
  })
}
